X11.XCrossingEvent (JNA API)

com.sun.jna.platform.unix

## Class X11.XCrossingEvent

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XCrossingEvent

- Direct Known Subclasses:
    X11.XEnterWindowEvent, X11.XLeaveWindowEvent
  Enclosing interface:
    X11

      @Structure.FieldOrder(value={"type","serial","send_event","display","window","root","subwindow","time","x","y","x_root","y_root","mode","detail","same_screen","focus","state"})
      public static class X11.XCrossingEvent
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `detail`
    `X11.Display` | `display`
    `int` | `focus`
    `int` | `mode`
    `X11.Window` | `root`
    `int` | `same_screen`
    `int` | `send_event`
    `NativeLong` | `serial`
    `int` | `state`
    `X11.Window` | `subwindow`
    `NativeLong` | `time`
    `int` | `type`
    `X11.Window` | `window`
    `int` | `x`
    `int` | `x_root`
    `int` | `y`
    `int` | `y_root`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XCrossingEvent()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public int type

    - #### serial

          public NativeLong serial

    - #### send_event

          public int send_event

    - #### display

          public X11.Display display

    - #### window

          public X11.Window window

    - #### root

          public X11.Window root

    - #### subwindow

          public X11.Window subwindow

    - #### time

          public NativeLong time

    - #### x

          public int x

    - #### y

          public int y

    - #### x_root

          public int x_root

    - #### y_root

          public int y_root

    - #### mode

          public int mode

    - #### detail

          public int detail

    - #### same_screen

          public int same_screen

    - #### focus

          public int focus

    - #### state

          public int state

  - ### Constructor Detail

    - #### XCrossingEvent

          public XCrossingEvent()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.